//------------------------------------------------
// Screen.c XN[XV
//------------------------------------------------

#include "funcs.h"
#include "SDL_gfxPrimitives.h"

//{[̈ʒuƑxXV
void MoveBall( MyObject *Ball )
{
	const float dt = 1.0f/FRAME_RATE;	//Ԃ̕ω
	const float at = GRAVITY/FRAME_RATE;	//a*dt = 9.8t
	const float h_at = GRAVITY*0.5f/FRAME_RATE;	//0.5*9.8*t
	//dv = v0 + a dt, dx = v0 dt + 0.5 a (dt)^2  d->delta
	Ball->velocity.y += at;		//d͂͐̂
	Ball->xy.x += Ball->velocity.x*dt;		//͉xa=0
	Ball->xy.y += (Ball->velocity.y + h_at)*dt;
}

//XN[̕`
void RenewScreen(int Degree, MyObject *Ball, Line *line, int num)
{
	SDL_Rect DestBackGround, DestFrame;
	int DegreeToNum = Degree/ROTATE_DEG;	//xz̓YɑΉ
	int i, x1, y1, x2, y2;

	//ʂ𔒂œhԂ
	DestBackGround.x = DestBackGround.y = 0;
	DestBackGround.w = DISP_WIDTH, DestBackGround.h = DISP_HEIGHT;
	SDL_FillRect( gScreenSurface, &DestBackGround, 0xFFFFFFFF );
	
	//Ht[̕`
	//512,384𒆐SƂĉ]
	DestFrame.x = CenterX-(gStage[DegreeToNum]->w/2);
	DestFrame.y = CenterY-(gStage[DegreeToNum]->h/2);
	SDL_BlitSurface( gStage[DegreeToNum], NULL, gScreenSurface, &DestFrame );
	
	// xNg]\
	for(i=0; i<num; i++){
		LineToXY(&x1, &y1, &x2, &y2, &line[i]);
		lineColor(gScreenSurface, x1, y1, x2, y2, 0x00FF00FF);
	}
	
	//{[̕`
	circleColor( gScreenSurface, (Sint16)Ball->xy.x, (Sint16)Ball->xy.y, Ball->r, 0x00FF00FF);

	SDL_Flip( gScreenSurface );	// ʂXV
}